/*
 *========================================================================
 * $Id: version.c 88 2004-09-28 22:49:38Z rgb $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 */

#include <wulfware/libwulf.h>

/*
 * <version> tag init and update
 */
void init_version(Host *hostptr)
{
 /* kernel version */
 if(xtract(STRING,&hostptr->val.version,value_xpath[WULFVERSION],hostptr->xp_doc) > 1){
   fprintf(OUTFP,"fill_values() Warning: %s not unique content tag.\n",
      value_xpath[WULFVERSION]);
 }
 if((verbose == D_ALL) || (verbose == D_VALUES)){
   fprintf(OUTFP,"D_VALUES: version = %s\n",hostptr->val.version);
 }

}


void update_version(Host *hostptr)
{
 /* kernel version */
 if(xtract(STRING,&hostptr->val.version,value_xpath[WULFVERSION],hostptr->xp_doc) > 1){
   fprintf(OUTFP,"fill_values() Warning: %s not unique content tag.\n",
      value_xpath[WULFVERSION]);
 }
 if((verbose == D_ALL) || (verbose == D_VALUES)){
   fprintf(OUTFP,"D_VALUES: version = %s\n",hostptr->val.version);
 }

}
